<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\StudentGuardian\StudentGuardianId;
use DomainException;

use function sprintf;

final class StudentGuardianNotFoundException extends DomainException
{
    public static function withId(StudentGuardianId $id): self
    {
        return new self(sprintf(
            'Liaison parent-élève avec l\'ID « %s » introuvable.',
            $id,
        ));
    }
}
